Debian Bug report logs - #534878
live-initramfs: live-media-path and toram don't play well together

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Holger Brunn <holger.brunn@web.de>

Date: Sat, 27 Jun 2009 21:30:01 UTC

Severity: normal

Tags: patch

Found in version live-initramfs/1.157.2-1

Fixed in version live-initramfs/1.157.4-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, holger.brunn@web.de, Debian Live <debian-live@lists.debian.org>:
Bug#534878; Package live-initramfs. (Sat, 27 Jun 2009 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Brunn <holger.brunn@web.de>:
New Bug report received and forwarded. Copy sent to holger.brunn@web.de, Debian Live <debian-live@lists.debian.org>. (Sat, 27 Jun 2009 21:30:23 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Brunn <holger.brunn@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: live-media-path and toram don't play well together
Date: Sat, 27 Jun 2009 23:25:22 +0200
[Message part 1 (text/plain, inline)]
Package: live-initramfs
Version: 1.157.2-1
Severity: normal
Tags: patch

The function copy_live_to in scripts/live doesn't take the boot parameter 
live-media-path into account, resulting in trying to copy the whole hard disk 
to ram in my case. Attached a patch which should fix the problem.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.13.3-1 Tiny utilities for small and embed
ii  file                          5.03-1     Determines file type using "magic"
ii  initramfs-tools               0.93.3     tools for generating an initramfs
ii  sudo                          1.7.0-1    Provide limited super user privile
ii  udev                          0.141-1    /dev/ and hotplug management daemo
ii  user-setup                    1.27       Set up initial user and password

Versions of packages live-initramfs recommends:
ii  cryptsetup      2:1.0.6+20090405.svn49-1 configures encrypted block devices
ii  eject           2.1.5+deb1+cvs20081104-6 ejects CDs and operates CD-Changer
ii  uuid-runtime    1.41.6-1                 runtime components for the Univers
ii  wget            1.11.4-2                 retrieves files from the web

Versions of packages live-initramfs suggests:
pn  curlftpfs                     <none>     (no description available)
pn  genext2fs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  loop-aes-utils                <none>     (no description available)
pn  mtd-tools                     <none>     (no description available)
pn  squashfs-tools                <none>     (no description available)

-- no debconf information
[live.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#534878; Package live-initramfs. (Fri, 16 Oct 2009 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 16 Oct 2009 14:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 534878@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 534878-submitter@bugs.debian.org
Cc: 534878@bugs.debian.org
Subject: Re: live-initramfs: live-media-path and toram don't play well together
Date: Fri, 16 Oct 2009 16:05:03 +0200
tag 534878 pending
thanks

Applied in git, sorry for the delay, and thank you for bringing it up
and fixing it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Oct 2009 14:09:05 GMT) Full text and rfc822 format available.

Message sent on to Holger Brunn <holger.brunn@web.de>:
Bug#534878. (Fri, 16 Oct 2009 14:09:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 18 Oct 2009 19:36:07 GMT) Full text and rfc822 format available.

Notification sent to Holger Brunn <holger.brunn@web.de>:
Bug acknowledged by developer. (Sun, 18 Oct 2009 19:36:07 GMT) Full text and rfc822 format available.

Message #20 received at 534878-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 534878-close@bugs.debian.org
Subject: Bug#534878: fixed in live-initramfs 1.157.4-1
Date: Sun, 18 Oct 2009 19:17:54 +0000
Source: live-initramfs
Source-Version: 1.157.4-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.157.4-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.4-1.diff.gz
live-initramfs_1.157.4-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.157.4-1.dsc
live-initramfs_1.157.4-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.157.4-1_all.deb
live-initramfs_1.157.4.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534878@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Oct 2009 20:29:31 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.157.4-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 534878 547149
Changes: 
 live-initramfs (1.157.4-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Forcing run of dexconf when booting with xdriver=dexconf.
   * Adding (experimental) forcepersistentfsck bootoption to force fsck
     on root persistency device.
   * Adding presubj for reportbug.
   * Removing unused sed call in update target of Makefile.
   * Updating included languagelist from d-i.
   * Correcting install calls for reportbug files in rules.
   * Including d-i languagelist in initrd in order evaluate l10n
     settings.
   * Updating lang2locale(); to match new d-i langualgelist format.
   * Adding additional two sync calls before powerof happens in order to
     deal with 'does not cleanly unmount' problem when using root
     persistency.
   * Updating vcs fields.
   * Adding auto value for xvideomode where we ensure that no
     configuration from the persistency layer is respected.
 .
   [ Marco Amadori ]
   * Fixed FIXME sections in manpages.
 .
   [ Daniel Baumann ]
   * Including udev binaries in initramfs manually for squeeze and newer
     (Closes: #547149).
   * Applying patch from Holger Brunn <holger.brunn@web.de> to live-
     media-path when toram is used (Closes: #534878).
   * Simplyfing and correcting udev inclusion in initramfs hook.
Checksums-Sha1: 
 b9fc49df392b84752be0877b2ba3d8766322991e 1287 live-initramfs_1.157.4-1.dsc
 3347c7eeb5b6ab4990b6f244356b440f072e7cab 83710 live-initramfs_1.157.4.orig.tar.gz
 7e26afd73ce9efc3a48874eb5b93ff2a31bb2e84 13313 live-initramfs_1.157.4-1.diff.gz
 d1fa229eb52d29043a0503b07f806487d1d7e4a6 94720 live-initramfs_1.157.4-1_all.deb
Checksums-Sha256: 
 016ada1fc5e1df032afb6094208a7f35c1a22cb0b7024305e509da74c6f9d8ca 1287 live-initramfs_1.157.4-1.dsc
 fc4821dd3786227c9a73d97a951edb8a73dd1b1de49c2576cef4d9977ad8e850 83710 live-initramfs_1.157.4.orig.tar.gz
 7b49b418f03529ecf4170f19cd37a0e7b7826a176722e76a3333afd13919febd 13313 live-initramfs_1.157.4-1.diff.gz
 0c97b4f76451757b6210fb619bfd4fe55fa88199304d8416c85acc4ba10254b4 94720 live-initramfs_1.157.4-1_all.deb
Files: 
 9d176294d42727b2aa895693f557c2ba 1287 misc optional live-initramfs_1.157.4-1.dsc
 2c587a7fa8a92a10a31a6cee0ffac057 83710 misc optional live-initramfs_1.157.4.orig.tar.gz
 0886f73dbec775419b71826586525395 13313 misc optional live-initramfs_1.157.4-1.diff.gz
 df6c7e33bbcc1bfb3980a9f8794561e8 94720 misc optional live-initramfs_1.157.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrbZVQACgkQ+C5cwEsrK57qWACeI8xaNH1DyaQTLWgMeGl2svX0
B/sAoOHgTSCzHhg0/sWwzDs11ImwCCu+
=9k6X
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Nov 2009 07:36:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:57:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.